## ros-kinetic-fanuc-resources 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)

project(fanuc_resources)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(FILES readme.md DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-fanuc-resources (0.5.1-1xenial) xenial; urgency=high

  * bump min CMake version (#309 <https://github.com/ros-industrial/fanuc/issues/309>).
  * point to manifest for info on package contents (#292 <https://github.com/ros-industrial/fanuc/issues/292>).
  * for a complete list of changes see the commit log for 0.5.1 <https://github.com/ros-industrial/fanuc/compare/0.5.0...0.5.1>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 01 Apr 2021 22:00:00 -0000

ros-kinetic-fanuc-resources (0.5.0-1xenial) xenial; urgency=high

  * update xacro xmlns uri (#239 <https://github.com/ros-industrial/fanuc/issues/239>).
  * remove deprecated 'common_constants.xacro' (#238 <https://github.com/ros-industrial/fanuc/issues/238>).
  * for a complete list of changes see the commit log for 0.5.0 <https://github.com/ros-industrial/fanuc/compare/0.4.4...0.5.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 24 Sep 2019 22:00:00 -0000

ros-kinetic-fanuc-resources (0.4.4-1xenial) xenial; urgency=high

  * add custom manifest tags to make package support level explicit.
  * for a complete list of changes see the commit log for 0.4.4 <https://github.com/ros-industrial/fanuc/compare/0.4.3...0.4.4>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 Jan 2018 23:00:00 -0000

ros-kinetic-fanuc-resources (0.4.3-1xenial) xenial; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.4.3 <https://github.com/ros-industrial/fanuc/compare/0.4.2...0.4.3>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Fri, 13 Oct 2017 22:00:00 -0000

ros-kinetic-fanuc-resources (0.4.2-1xenial) xenial; urgency=high

  * deprecate 'common_constants' utility xacro.
  * add XML schema processing instruction (#200 <https://github.com/ros-industrial/fanuc/issues/200>).
  * for a complete list of changes see the commit log for 0.4.2 <https://github.com/ros-industrial/fanuc/compare/0.4.1...0.4.2>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 21 May 2017 22:00:00 -0000

ros-kinetic-fanuc-resources (0.4.1-1xenial) xenial; urgency=high

  * add approximation of Fanuc green (colour for collaborative robot series).
  * for a complete list of changes see the commit log for 0.4.1 <https://github.com/ros-industrial/fanuc/compare/0.4.0...0.4.1>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 16 Jun 2016 22:00:00 -0000

ros-kinetic-fanuc-resources (0.4.0-1xenial) xenial; urgency=high

  * first Indigo release.
  * remove assets package (#149 <https://github.com/ros-industrial/fanuc/issues/149>).
  * upgrade manifests to package format 2 (#115 <https://github.com/ros-industrial/fanuc/issues/115>).
  * general cleanup of XML files (launch, manifests, roslaunch tests, xacros).
  * add ROS Index tags to package manifests (#147 <https://github.com/ros-industrial/fanuc/issues/147>).
  * add Roboguide colours to the set of shared resources.
  * for a complete list of changes see the commit log for 0.4.0 <https://github.com/ros-industrial/fanuc/compare/0.3.2...0.4.0>.

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 10 Oct 2015 22:00:00 -0000

ros-kinetic-fanuc-resources (0.3.2-1xenial) xenial; urgency=high

  * add readmes to all packages (#153 <https://github.com/ros-industrial/fanuc/issues/153>).
  * for a complete list of changes see the commit log for 0.3.2 <https://github.com/ros-industrial/fanuc/compare/0.3.1...0.3.2>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sat, 18 Apr 2015 22:00:00 -0000

ros-kinetic-fanuc-resources (0.3.1-1xenial) xenial; urgency=high

  * no changes.
  * for a complete list of changes see the commit log for 0.3.1 <https://github.com/ros-industrial/fanuc/compare/0.3.0...0.3.1>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 20 Jan 2015 23:00:00 -0000

ros-kinetic-fanuc-resources (0.3.0-1xenial) xenial; urgency=high

  * promote experimental packages for M-10iA, M-16iB, M-20iA, M-430iA and LR Mate 200iC to main repository.
  * add a shared constants xacro.
  * for a complete list of changes see the commit log for 0.3.0 <https://github.com/ros-industrial/fanuc/compare/0.2.0...0.3.0>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Wed, 07 Jan 2015 23:00:00 -0000

ros-kinetic-fanuc-resources (0.2.0-1xenial) xenial; urgency=high

  * first Hydro release.
  * deprecate fanuc_assets, introduce fanuc_resources
  * cleanup of all CMakeLists and package manifests:
    
      * closing keywords should have empty parenthesis (#62 <https://github.com/ros-industrial/fanuc/issues/62>)
      * update CMakeLists to follow Catkin CMake coding standards (#62 <https://github.com/ros-industrial/fanuc/issues/62>)
      * ArmNav and support pkgs are architecture independent.
    
  * for a complete list of changes see the commit log for 0.2.0 <https://github.com/ros-industrial/fanuc/compare/0.1.1...0.2.0>

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Tue, 18 Feb 2014 23:00:00 -0000

ros-kinetic-fanuc-resources (0.1.1-1xenial) xenial; urgency=high

  * fixed missing dependency

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Thu, 26 Sep 2013 22:00:00 -0000

ros-kinetic-fanuc-resources (0.1.0-1xenial) xenial; urgency=high

  * initial Groovy release

 -- G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>  Sun, 15 Sep 2013 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fanuc-resources
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn (TU Delft Robotics Institute) <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/fanuc_resources
Standards-Version: 3.9.2

Package: ros-kinetic-fanuc-resources
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Shared configuration data, 3D models and launch files for Fanuc manipulators.
 This package contains configuration data, 3D models and launch files that are shared between different Fanuc robot support packages within the ROS-Industrial program. This package also contains common urdf / xacro resources used by other Fanuc related packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fanuc-resources//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
